VkPhysicalDeviceImageDrmFormatModifierInfoEXT Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint64_t | drmFormatModifier
VkSharingMode | sharingMode
uint32_t | queueFamilyIndexCount
const uint32_t * | pQueueFamilyIndices

## Detailed Description

Definition at line 7812 of file vulkan_core.h.

## Field Documentation

## drmFormatModifier

uint64_t VkPhysicalDeviceImageDrmFormatModifierInfoEXT::drmFormatModifier

Definition at line 7815 of file vulkan_core.h.

## pNext

const void* VkPhysicalDeviceImageDrmFormatModifierInfoEXT::pNext

Definition at line 7814 of file vulkan_core.h.

## pQueueFamilyIndices

const uint32_t* VkPhysicalDeviceImageDrmFormatModifierInfoEXT::pQueueFamilyIndices

Definition at line 7818 of file vulkan_core.h.

## queueFamilyIndexCount

uint32_t VkPhysicalDeviceImageDrmFormatModifierInfoEXT::queueFamilyIndexCount

Definition at line 7817 of file vulkan_core.h.

## sharingMode

VkSharingMode VkPhysicalDeviceImageDrmFormatModifierInfoEXT::sharingMode

Definition at line 7816 of file vulkan_core.h.

## sType

VkStructureType VkPhysicalDeviceImageDrmFormatModifierInfoEXT::sType

Definition at line 7813 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h